org.glassfish.jersey.server.model

## Class AbstractResourceModelVisitor

- java.lang.Object
- - org.glassfish.jersey.server.model.AbstractResourceModelVisitor

All Implemented Interfaces:
  ResourceModelVisitor

Direct Known Subclasses:
  RuntimeResourceModelValidator

    public abstract class AbstractResourceModelVisitor
    extends Object
    implements ResourceModelVisitor

Abstract implementation of `resource model visitor` containing empty implementations of interface methods. This class can be derived by validator implementing only methods needed for specific validations.

Author:
  Miroslav Fuksa

### Constructor Summary

Constructors
Constructor and Description
`AbstractResourceModelVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitChildResource(Resource resource)` Start visiting a single child resource model.
`void` `visitInvocable(Invocable invocable)` Visit a single resource method invocable model.
`void` `visitMethodHandler(MethodHandler methodHandler)` Visit a single resource method handler model.
`void` `visitResource(Resource resource)` Start visiting a single resource model.
`void` `visitResourceHandlerConstructor(HandlerConstructor constructor)` Process a resource method handler constructor.
`void` `visitResourceMethod(ResourceMethod method)` Visit a single resource method model.
`void` `visitResourceModel(ResourceModel resourceModel)` Process a resource model.
`void` `visitRuntimeResource(RuntimeResource runtimeResource)` Process a runtime resource model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractResourceModelVisitor

    public AbstractResourceModelVisitor()

### Method Detail

#### visitResource

    public void visitResource(Resource resource)

Description copied from interface: `ResourceModelVisitor`
Start visiting a single resource model.

Specified by:
  `visitResource` in interface `ResourceModelVisitor`
Parameters:
  `resource` - resource model.

#### visitChildResource

    public void visitChildResource(Resource resource)

Description copied from interface: `ResourceModelVisitor`
Start visiting a single child resource model.

Specified by:
  `visitChildResource` in interface `ResourceModelVisitor`
Parameters:
  `resource` - child resource model.

#### visitResourceMethod

    public void visitResourceMethod(ResourceMethod method)

Description copied from interface: `ResourceModelVisitor`
Visit a single resource method model.

Specified by:
  `visitResourceMethod` in interface `ResourceModelVisitor`
Parameters:
  `method` - resource method model.

#### visitInvocable

    public void visitInvocable(Invocable invocable)

Description copied from interface: `ResourceModelVisitor`
Visit a single resource method invocable model.

Specified by:
  `visitInvocable` in interface `ResourceModelVisitor`
Parameters:
  `invocable` - resource method invocable model.

#### visitMethodHandler

    public void visitMethodHandler(MethodHandler methodHandler)

Description copied from interface: `ResourceModelVisitor`
Visit a single resource method handler model.

Specified by:
  `visitMethodHandler` in interface `ResourceModelVisitor`
Parameters:
  `methodHandler` - resource method handler model.

#### visitResourceHandlerConstructor

    public void visitResourceHandlerConstructor(HandlerConstructor constructor)

Description copied from interface: `ResourceModelVisitor`
Process a resource method handler constructor. Typically a constructor of a JAX-RS annotated resource class.

Specified by:
  `visitResourceHandlerConstructor` in interface `ResourceModelVisitor`
Parameters:
  `constructor` - resource method handler constructor.

#### visitResourceModel

    public void visitResourceModel(ResourceModel resourceModel)

Description copied from interface: `ResourceModelVisitor`
Process a resource model.

Specified by:
  `visitResourceModel` in interface `ResourceModelVisitor`
Parameters:
  `resourceModel` - resource model.

#### visitRuntimeResource

    public void visitRuntimeResource(RuntimeResource runtimeResource)

Description copied from interface: `ResourceModelVisitor`
Process a runtime resource model.

Specified by:
  `visitRuntimeResource` in interface `ResourceModelVisitor`
Parameters:
  `runtimeResource` - runtime resource model.